﻿:root {
    --darkest-grey: #343E46;
    --massage-green: #B8D149;
    --dark-grey: #586A77;
    --dark-grey-30: rgba(88, 106, 119, 0.3);
    --darkest-grey-85: rgba(52, 62, 70, 0.85);
    --darkest-grey-80: rgba(52, 62, 70, 0.8);
    --light-grey: #E6E5E5;
    --light-grey-50: rgba(230,229,229,0.5);
    --dark-grey-20: rgba(88,106,119,0.2);
    --mid-tone-grey: #798893;
    --massage-green-20: rgba(184, 209, 73, 0.2);
}


/***********************/
/* Top Banner */
/***********************/

section.topInteriorCarouselBanner,
section.topInteriorCarouselBanner .item {
    height: 550px;
}

.banner-left-logo-wrapper {
    position: absolute;
    bottom: 45px;
    background: #ffffff;
    border-radius: 0px 25px 25px 0px;
    padding: 12px 15px 15px 15px;
}

    section.topInteriorCarouselBanner .item img {
        height: 100%;
        width: 100%;
        object-fit: cover;
        object-position: center;
    }

    section.topInteriorCarouselBanner p.banner-location {
        position: absolute;
        bottom: 0;
        left: 0;
    }

.carousel-caption {
    top: 0;
    bottom: 0;
    right: 0;
    width: 50%;
    background: var(--darkest-grey-80);
    left: unset;
    display: flex;
    align-items: center;
    text-align: left;
    padding: 110px 10% 110px 85px;
}

section.topInteriorCarouselBanner p.proud-logo-wrapper {
    position: absolute;
    bottom: 15px;
    right: 34px;
    z-index: 6000;
}

    section.topInteriorCarouselBanner p.proud-logo-wrapper img {
        max-height: 55px;
        width: auto;
        height: auto;
        object-fit: unset;
        object-position: unset;
    }

.arrows-wrapper a.carousel-control {
    position: relative;
    display: block;
    font-size: 40px;
    opacity: 1;
    text-shadow: none;
    background: none;
    width: 40px;
    line-height: 40px;
}

.arrows-wrapper {
    background: var(--light-grey);
    width: min-content;
    display: flex;
    position: absolute;
    bottom: -27px;
    left: 0;
    right: 0;
    margin-left: auto;
    margin-right: auto;
    border-radius: 50px;
    padding: 8px 10px 6.5px;
    gap: 7px;
    -webkit-box-shadow: 0px 4px 4px 0px rgba(0,0,0,0.15);
    -moz-box-shadow: 0px 4px 4px 0px rgba(0,0,0,0.15);
    box-shadow: 0px 4px 4px 0px rgba(0,0,0,0.15);
    z-index: 1029;
}

p.banner-location {
    margin-bottom: 0px;
    color: white;
    background: var(--darkest-grey);
    padding: 5px 30px 3px;
    border-radius: 0px 20px 0px 0px;
    font-size: 20px
}

.carousel-caption h1 {
    color: white;
    font-size: 40px;
    line-height: 42px;
    font-weight: 800;
    text-shadow: none;
    margin-bottom: 23px;
}

.carousel-caption h1:nth-last-child(1) {
    margin-bottom: 0px;
}

.carousel-caption p {
    color: white;
    font-size: 24px;
    line-height: 32px;
    font-weight: 500;
    text-shadow: none;
    margin-bottom: 30px;
}

    .carousel-caption p:nth-last-of-type(1) {
        margin-bottom: 0px;
    }

.carousel-caption .callout-button {
    font-size: 26px;
    line-height: 26px;
    font-weight: 800;
    padding: 16px 57px !important;
}

    .carousel-caption .callout-button:hover {
        background: var(--light-grey) !important;
        color: var(--darkest-grey) !important;
    }

.carousel-fade .carousel-inner .item {
    opacity: 0;
    transition-property: opacity;
}

.carousel-fade .carousel-inner .active {
    opacity: 1;
}

    .carousel-fade .carousel-inner .active.left,
    .carousel-fade .carousel-inner .active.right {
        left: 0;
        opacity: 0;
        z-index: 1;
    }

.carousel-fade .carousel-inner .next.left,
.carousel-fade .carousel-inner .prev.right {
    opacity: 1;
}

.carousel-fade .carousel-control {
    z-index: 2;
}



@media all and (transform-3d), (-webkit-transform-3d) {
    .carousel-fade .carousel-inner > .item.next,
    .carousel-fade .carousel-inner > .item.active.right {
        opacity: 0;
        -webkit-transform: translate3d(0, 0, 0);
        transform: translate3d(0, 0, 0);
    }

    .carousel-fade .carousel-inner > .item.prev,
    .carousel-fade .carousel-inner > .item.active.left {
        opacity: 0;
        -webkit-transform: translate3d(0, 0, 0);
        transform: translate3d(0, 0, 0);
    }

        .carousel-fade .carousel-inner > .item.next.left,
        .carousel-fade .carousel-inner > .item.prev.right,
        .carousel-fade .carousel-inner > .item.active {
            opacity: 1;
            -webkit-transform: translate3d(0, 0, 0);
            transform: translate3d(0, 0, 0);
        }
}

ol.carousel-indicators li:before {
    display: none;
}

ol.carousel-indicators {
    display: flex;
    align-items: center;
    gap: 5px;
    width: 100%;
    left: 0;
    bottom: 0px;
    margin-left: 315px;
}

.carousel-indicators .active,
.carousel-indicators li {
    margin: 0px !important;
    height: 5px;
    width: 45px;
    border: none;
}

.carousel-indicators li {
    background-color: #ffffff;
}

.carousel-indicators .active {
    background-color: var(--massage-green);
    border: none;
}

section.topInteriorCarouselBanner .carousel-caption h6 {
    color: var(--massage-green);
    text-shadow: none;
    margin-bottom: 10px;
    margin-top: 0px;
    font-size: 28px;
    font-weight: 800;
    line-height: 33px;
}

@media (min-width: 1200px) and (max-width: 1366px) {

    /***********************/
    /* Top Banner */
    /***********************/

    section.topInteriorCarouselBanner,
    section.topInteriorCarouselBanner .item {
        height: 425px;
    }

    p.banner-location {
        padding: 5px 20px 3px 15px;
        font-size: 18px;
    }

    ol.carousel-indicators {
        bottom: 35px;
        margin-left: 16px;
    }

    .carousel-indicators .active,
    .carousel-indicators li {
        width: 25px;
    }

    .arrows-wrapper a.carousel-control {
        font-size: 35px;
        width: 35px;
        line-height: 35px;
    }

    .arrows-wrapper {
        padding: 8px 10px 4.5px;
        bottom: -22px;
    }

    .carousel-caption h1 {
        font-size: 30px;
        line-height: 32px;
        margin-bottom: 18px;
    }

    .carousel-caption p {
        font-size: 18px;
        line-height: 23px;
        margin-bottom: 18px;
    }

    .carousel-caption .callout-button {
        font-size: 18px;
        line-height: 18px;
        padding: 11px 33px !important;
    }

    .carousel-caption {
        padding: 70px 7% 70px 45px;
    }

    section.topInteriorCarouselBanner p.proud-logo-wrapper img {
        max-height: 45px;
    }

    p.proud-logo-wrapper {
        margin-bottom: 0px;
    }

    section.topInteriorCarouselBanner p.proud-logo-wrapper {
        right: 24px;
    }
}

@media (min-width: 992px) and (max-width: 1199px) {

    /***********************/
    /* Top Banner */
    /***********************/

    section.topInteriorCarouselBanner,
    section.topInteriorCarouselBanner .item {
        height: 425px;
    }

    p.banner-location {
        padding: 5px 20px 3px 15px;
        font-size: 18px;
    }

    ol.carousel-indicators {
        bottom: 35px;
        margin-left: 16px;
    }

    .carousel-indicators .active,
    .carousel-indicators li {
        width: 25px;
    }

    .arrows-wrapper a.carousel-control {
        font-size: 35px;
        width: 35px;
        line-height: 35px;
    }

    .arrows-wrapper {
        padding: 8px 10px 4.5px;
        bottom: -22px;
    }

    .carousel-caption h1 {
        font-size: 30px;
        line-height: 32px;
        margin-bottom: 18px;
    }

    .carousel-caption p {
        font-size: 18px;
        line-height: 23px;
        margin-bottom: 18px;
    }

    .carousel-caption .callout-button {
        font-size: 18px;
        line-height: 18px;
        padding: 11px 33px !important;
    }

    .carousel-caption {
        padding: 70px 7% 70px 45px;
    }

    section.topInteriorCarouselBanner p.proud-logo-wrapper img {
        max-height: 45px;
    }

    p.proud-logo-wrapper {
        margin-bottom: 0px;
    }

    section.topInteriorCarouselBanner p.proud-logo-wrapper {
        right: 24px;
    }
}

@media (min-width: 768px) and (max-width: 991px) {

    /***********************/
    /* Top Banner */
    /***********************/

    .carousel-caption {
        width: 100%;
        text-align: center;
        padding: 45px 25px;
    }

        .carousel-caption h1 {
            font-size: 30px;
            line-height: 32px;
        }

        .carousel-caption p {
            font-size: 20px;
            line-height: 28px;
        }

        .carousel-caption .callout-button {
            font-size: 18px;
            line-height: 18px;
            padding: 11px 33px !important;
        }

        .carousel-caption p br {
            display: none;
        }

    p.proud-logo-wrapper.mobile {
        position: relative !important;
        bottom: unset !important;
        left: 0;
        right: 0 !important;
        top: 15px;
        display: block;
    }

    .carousel-caption {
        flex-direction: column;
        justify-content: center;
    }

    section.topInteriorCarouselBanner,
    section.topInteriorCarouselBanner .item {
        height: 460px;
    }

    ol.carousel-indicators {
        position: relative;
        top: 10px;
        margin-left: 0px;
        justify-content: end;
        padding-right: 15px;
    }

    p.banner-location {
        left: unset !important;
        right: 0;
        z-index: 500;
        border-radius: 20px 0px 0px 0px;
        padding: 8px 15px 6px 20px;
    }

    .arrows-wrapper {
        left: 15px;
        right: unset;
        bottom: -13px;
    }

    .carousel-indicators li {
        background-color: var(--darkest-grey);
    }

    p.proud-logo-wrapper.desktop {
        display: none;
    }
}

@media (max-width: 767px) {

    /***********************/
    /* Top Banner */
    /***********************/

    .banner-left-logo-wrapper {
        position: relative;
        z-index: 50;
        border-radius: 0px;
        -webkit-box-shadow: 0px 0px 10px 0px rgba(0,0,0,0.25);
        -moz-box-shadow: 0px 0px 10px 0px rgba(0,0,0,0.25);
        box-shadow: 0px 0px 10px 0px rgba(0,0,0,0.25);
        padding: 20px 15px 25px 15px;
    }

    .carousel-caption {
        width: 100%;
        text-align: center;
        padding: 45px 25px;
    }

        .carousel-caption h1 {
            font-size: 30px;
            line-height: 32px;
        }

        .carousel-caption p {
            font-size: 20px;
            line-height: 28px;
        }

        .carousel-caption .callout-button {
            font-size: 18px;
            line-height: 18px;
            padding: 11px 33px !important;
        }

        .carousel-caption p br {
            display: none;
        }

    p.proud-logo-wrapper.mobile {
        position: relative !important;
        bottom: unset !important;
        left: 0;
        right: 0 !important;
        top: 15px;
    }

    .carousel-caption {
        flex-direction: column;
        justify-content: center;
    }

    section.topInteriorCarouselBanner,
    section.topInteriorCarouselBanner .item {
        height: 460px;
    }

    ol.carousel-indicators {
        position: relative;
        top: 10px;
        margin-left: 0px;
        justify-content: end;
        padding-right: 15px;
    }

    p.banner-location {
        left: unset !important;
        right: 0;
        z-index: 500;
        border-radius: 20px 0px 0px 0px;
        padding: 8px 15px 6px 20px;
    }

    .arrows-wrapper {
        left: 15px;
        right: unset;
        bottom: -13px;
    }

    .carousel-indicators li {
        background-color: var(--darkest-grey);
    }

    .carousel-indicators .active,
    .carousel-indicators li {
        width: 35px;
    }

    section.topInteriorCarouselBanner {
        margin-bottom: 30px;
    }

    .carousel-inner.has-logo-inside {
        padding-bottom: 120px;
    }

    .main-has-logo-inside {
        margin-bottom: 70px !important;
    }

    .banner-left-logo-wrapper .logo {
        max-height: 70px;
        width: auto !important;
        display: block;
        margin: auto;
    }
}